package com.xunhong.erp.turbo.api.infra.api;

import com.xunhong.erp.turbo.api.infra.dto.cmd.DictionaryCreateCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.DictionaryDestroyCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.DictionaryUpdateCmd;
import com.xunhong.erp.turbo.api.infra.dto.qry.DictionaryListQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.DictionaryPageQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.DictionaryShowQry;
import com.xunhong.erp.turbo.api.infra.dto.vo.DictionaryVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface DictionaryServiceI {
	DictionaryVO create(DictionaryCreateCmd dictionaryCreateCmd);

	PageDTO<DictionaryVO> page(DictionaryPageQry dictionaryPageQry);

	List<DictionaryVO> list(DictionaryListQry dictionaryListQry);

	DictionaryVO update(DictionaryUpdateCmd dictionaryUpdateCmd);

	DictionaryVO show(DictionaryShowQry dictionaryShowQry);

	void destroy(DictionaryDestroyCmd dictionaryDestroyCmd);
}

